Std ViewRotateRight/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewRotateRight and the translation is 55% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

Std ViewRotateRight.svg Std ViewRotateRight

Расположение в меню
Вид → Стандартные виды → Повернуть вправо
Верстаки
All
Быстрые клавиши
Shift+Right
Представлено в версии
-
См. также
Std ViewRotateLeft


Описание

The Std ViewRotateRight command rotates the camera in the active 3D view around the view direction in 90-degree increments towards the right (clockwise).

Использование

  1. There are several ways to invoke the command:
    • Select the View → Standard views → Std ViewRotateRight.svg Rotate Right option from the menu.
    • Select the Standard views → Std ViewRotateRight.svg Rotate Right option from the 3D view context menu.
    • Use the keyboard shortcut: Shift+Right.

Scripting

Смотри так же: Основы скриптов в FreeCAD.

To rotate the view to the right use the viewRotateRight method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRotateRight()
FreeCADGui.ActiveDocument.ActiveView.getCameraOrientation()